Bug 834292 - thin provisioning recovery support - vgcfgbackup/restore
thin provisioning recovery support - vgcfgbackup/restore
Product: LVM and device-mapper
Classification: Community
Component: lvm2 (Show other bugs)
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: LVM and device-mapper development team
Depends On:
  Show dependency treegraph
Reported: 2012-06-21 08:56 EDT by Alasdair Kergon
Modified: 2016-10-13 17:41 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: lvm‑technical‑solution?
rule-engine: lvm‑test‑coverage?

Attachments (Terms of Use)

  None (edit)
Description Alasdair Kergon 2012-06-21 08:56:17 EDT
The recovery options are more limited with thin provisioning.
Sort out what existing functionality needs to be restricted or have warnings and see what backup/recovery options can still be offered.
Comment 3 Zdenek Kabelac 2012-11-27 14:45:49 EST
For 6.4 we provide 'temporary' solution for users.

We will support restore of metadata with thin volumes with --force option.
The complex logic for restore is going to be handled by another new tool.

--force option is introduced by this upstream patch:

Comment 6 Zdenek Kabelac 2013-07-16 10:49:24 EDT
This limited solution is allowing a thin pool user to fix broken pool by himself - the tool does not make any internal consistency check - but with combination of thin_restore, user should be able to fix thin pool (i.e. put in proper transaction_id to match the one found in metadata).

The --force is needed to emphasize the tool is not doing any checks.
Without the force the tool refuses to read any VG metadata with thin pool data in them. So i.e. even if you would want to restore metadata because of the operation on plain linear LV - if the VG would also have thin pool - user would not be able to use vgcfgrestore.  With --force we add the option to proceed in such case easily.

We will provide  lvconvert --repair functionality which will slowly gain more intelligence so more things could be fixed by the tools automatically.
Comment 10 Zdenek Kabelac 2015-10-15 06:05:51 EDT
Let's add more of validation and fixes.

From my 'support' experience - these 2 features would greatly extend usability of 'lvconvert --repair' for thin-pool

1. Allow to update lvm2 metadata to match 'kernel' version.

2. Cleanup unset messages for thin-pool

Let's targets for this 2 - possibly more will come....

Note You need to log in before you can comment on or make changes to this bug.